Home

# Class goog.net.IpAddress

Abstract class defining an IP Address. Please use goog.net.IpAddress static methods or goog.net.Ipv4Address/Ipv6Address classes.

Instance Method Summary
| `equals(!goog.net.IpAddress other) ⇒ boolean`
| `getVersion() ⇒ number`
| `toInteger() ⇒ ?goog.math.Integer`
| `toString() ⇒ string`
| `toUriString() ⇒ string`

Static Method Summary
| `fromString(string address) ⇒ ?goog.net.IpAddress` Parses an IP Address in a string. If the string is malformed, the function will simply return null instead of raising an exception.
| `fromUriString(string address) ⇒ ?goog.net.IpAddress` Tries to parse a string represented as a host portion of an URI. See RFC 3986 for more details on IPv6 addresses inside URI. If the string is malformed, the function will simply return null instead of raising an exception.